AOZ Studio Beta - Bug #313

FP issue with Str$
03/20/2020 06:32 PM - David Baldwin

Status: Closed Start date: 03/20/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.7

Description

Calculations using integer and FP variables within Str$() give an FP result. This wasn't the case with AMOS. See example.

A=10

B#=3.7
C=A/B#

Print C
C3=Str$(A/B#)
Print C$

Obviously there's a work around. ;)

History

#1 - 03/23/2020 06:10 PM - David Baldwin
Fixed in 0.9.7 Test 2

#2 - 03/23/2020 06:10 PM - David Baldwin

- Status changed from New to Closed
